Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Java] Class GrailsPluginsDirectoryResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
                  org.apache.ivy.plugins.resolver.RepositoryResolver
                      org.apache.ivy.plugins.resolver.FileSystemResolver
                          org.codehaus.groovy.grails.resolve.GrailsPluginsDirectoryResolver

    public class GrailsPluginsDirectoryResolver
    extends org.apache.ivy.plugins.resolver.FileSystemResolver

A resolver that resolves JAR files from plugin lib directories.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary

Fields inherited from class org.apache.ivy.plugins.resolver.FileSystemResolver
DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED, DATE_FORMAT

Fields inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED, DATE_FORMAT

Constructor Summary
`GrailsPluginsDirectoryResolver(BuildSettings buildSettings, org.apache.ivy.core.settings.IvySettings ivySettings)`

Method Summary

Methods inherited from class org.apache.ivy.plugins.resolver.FileSystemResolver
org.apache.ivy.plugins.resolver.FileSystemResolver#getTypeName(), org.apache.ivy.plugins.resolver.FileSystemResolver#isLocal(), org.apache.ivy.plugins.resolver.FileSystemResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.FileSystemResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.FileSystemResolver#addIvyPattern(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#addArtifactPattern(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#addConfiguredIvy(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.FileSystemResolver#addConfiguredArtifact(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.FileSystemResolver#supportTransaction(), org.apache.ivy.plugins.resolver.FileSystemResolver#setLocal(boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#getTransactional(), org.apache.ivy.plugins.resolver.FileSystemResolver#setTransactional(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.FileSystemResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#getRepository(), org.apache.ivy.plugins.resolver.FileSystemResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.FileSystemResolver#dumpSettings(), org.apache.ivy.plugins.resolver.FileSystemResolver#setRepository(org.apache.ivy.plugins.repository.Repository), org.apache.ivy.plugins.resolver.FileSystemResolver#setSigner(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#isAlwaysCheckExactRevision(), org.apache.ivy.plugins.resolver.FileSystemResolver#setAlwaysCheckExactRevision(boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#findResource([Lorg.apache.ivy.plugins.resolver.util.ResolvedResource;, org.apache.ivy.plugins.resolver.util.ResourceMDParser, org.apache.ivy.core.module.id.ModuleRevisionId, java.util.Date), org.apache.ivy.plugins.resolver.FileSystemResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.FileSystemResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.FileSystemResolver#setM2compatible(boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#getIvyPatterns(), org.apache.ivy.plugins.resolver.FileSystemResolver#isM2compatible(), org.apache.ivy.plugins.resolver.FileSystemResolver#getArtifactPatterns(), org.apache.ivy.plugins.resolver.FileSystemResolver#toString(), org.apache.ivy.plugins.resolver.FileSystemResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.FileSystemResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.FileSystemResolver#parse(org.apache.ivy.plugins.resolver.util.ResolvedResource, org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.FileSystemResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.FileSystemResolver#isForce(), org.apache.ivy.plugins.resolver.FileSystemResolver#setForce(boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.FileSystemResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.FileSystemResolver#reportFailure(), org.apache.ivy.plugins.resolver.FileSystemResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.FileSystemResolver#listOrganisations(), org.apache.ivy.plugins.resolver.FileSystemResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.FileSystemResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.FileSystemResolver#setDescriptor(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#getChecksumAlgorithms(), org.apache.ivy.plugins.resolver.FileSystemResolver#getWorkspaceName(), org.apache.ivy.plugins.resolver.FileSystemResolver#setWorkspaceName(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#isEnvDependent(), org.apache.ivy.plugins.resolver.FileSystemResolver#setEnvDependent(boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#isCheckconsistency(), org.apache.ivy.plugins.resolver.FileSystemResolver#setCheckconsistency(boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#isAllownomd(), org.apache.ivy.plugins.resolver.FileSystemResolver#setAllownomd(boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#setChecksums(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#getName(), org.apache.ivy.plugins.resolver.FileSystemResolver#validate(), org.apache.ivy.plugins.resolver.FileSystemResolver#setCache(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#getSettings(), org.apache.ivy.plugins.resolver.FileSystemResolver#getNamespace(), org.apache.ivy.plugins.resolver.FileSystemResolver#setNamespace(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#isValidate(), org.apache.ivy.plugins.resolver.FileSystemResolver#setValidate(boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#getRepositoryCacheManager(), org.apache.ivy.plugins.resolver.FileSystemResolver#getLatestStrategy(), org.apache.ivy.plugins.resolver.FileSystemResolver#setChangingMatcher(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#setChangingPattern(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#getEventManager(), org.apache.ivy.plugins.resolver.FileSystemResolver#hidePassword(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#getParserSettings(), org.apache.ivy.plugins.resolver.FileSystemResolver#setLatestStrategy(org.apache.ivy.plugins.latest.LatestStrategy), org.apache.ivy.plugins.resolver.FileSystemResolver#setLatest(java.lang.String), org.apache.ivy.plugins.resolver.FileSystemResolver#getLatest(), org.apache.ivy.plugins.resolver.FileSystemResolver#setCheckmodified(boolean), org.apache.ivy.plugins.resolver.FileSystemResolver#setRepositoryCacheManager(org.apache.ivy.core.cache.RepositoryCacheManager), org.apache.ivy.plugins.resolver.FileSystemResolver#setEventManager(org.apache.ivy.core.event.EventManager), org.apache.ivy.plugins.resolver.FileSystemResolver#wait(), org.apache.ivy.plugins.resolver.FileSystemResolver#wait(long), org.apache.ivy.plugins.resolver.FileSystemResolver#wait(long, int), org.apache.ivy.plugins.resolver.FileSystemResolver#equals(java.lang.Object), org.apache.ivy.plugins.resolver.FileSystemResolver#hashCode(), org.apache.ivy.plugins.resolver.FileSystemResolver#getClass(), org.apache.ivy.plugins.resolver.FileSystemResolver#notify(), org.apache.ivy.plugins.resolver.FileSystemResolver#notifyAll()

Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
org.apache.ivy.plugins.resolver.RepositoryResolver#setName(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getTypeName(), org.apache.ivy.plugins.resolver.RepositoryResolver#download([Lorg.apache.ivy.core.module.descriptor.Artifact;, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.RepositoryResolver#publish(org.apache.ivy.core.module.descriptor.Artifact, java.io.File, boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#getRepository(), org.apache.ivy.plugins.resolver.RepositoryResolver#setSettings(org.apache.ivy.plugins.resolver.ResolverSettings), org.apache.ivy.plugins.resolver.RepositoryResolver#dumpSettings(), org.apache.ivy.plugins.resolver.RepositoryResolver#setRepository(org.apache.ivy.plugins.repository.Repository), org.apache.ivy.plugins.resolver.RepositoryResolver#setSigner(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#isAlwaysCheckExactRevision(), org.apache.ivy.plugins.resolver.RepositoryResolver#setAlwaysCheckExactRevision(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#findResource([Lorg.apache.ivy.plugins.resolver.util.ResolvedResource;, org.apache.ivy.plugins.resolver.util.ResourceMDParser, org.apache.ivy.core.module.id.ModuleRevisionId, java.util.Date), org.apache.ivy.plugins.resolver.RepositoryResolver#findIvyFileRef(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.RepositoryResolver#listTokenValues([Ljava.lang.String;, java.util.Map), org.apache.ivy.plugins.resolver.RepositoryResolver#setM2compatible(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#getIvyPatterns(), org.apache.ivy.plugins.resolver.RepositoryResolver#isM2compatible(), org.apache.ivy.plugins.resolver.RepositoryResolver#getArtifactPatterns(), org.apache.ivy.plugins.resolver.RepositoryResolver#addIvyPattern(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#addArtifactPattern(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#addConfiguredIvy(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.RepositoryResolver#addConfiguredArtifact(org.apache.ivy.core.settings.IvyPattern), org.apache.ivy.plugins.resolver.RepositoryResolver#toString(), org.apache.ivy.plugins.resolver.RepositoryResolver#exists(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.RepositoryResolver#download(org.apache.ivy.core.cache.ArtifactOrigin, org.apache.ivy.core.resolve.DownloadOptions), org.apache.ivy.plugins.resolver.RepositoryResolver#parse(org.apache.ivy.plugins.resolver.util.ResolvedResource, org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.RepositoryResolver#locate(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.RepositoryResolver#isForce(), org.apache.ivy.plugins.resolver.RepositoryResolver#setForce(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#getDependency(org.apache.ivy.core.module.descriptor.DependencyDescriptor, org.apache.ivy.core.resolve.ResolveData), org.apache.ivy.plugins.resolver.RepositoryResolver#reportFailure(org.apache.ivy.core.module.descriptor.Artifact), org.apache.ivy.plugins.resolver.RepositoryResolver#reportFailure(), org.apache.ivy.plugins.resolver.RepositoryResolver#listTokenValues(java.lang.String, java.util.Map), org.apache.ivy.plugins.resolver.RepositoryResolver#listOrganisations(), org.apache.ivy.plugins.resolver.RepositoryResolver#listModules(org.apache.ivy.core.search.OrganisationEntry), org.apache.ivy.plugins.resolver.RepositoryResolver#listRevisions(org.apache.ivy.core.search.ModuleEntry), org.apache.ivy.plugins.resolver.RepositoryResolver#setDescriptor(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getChecksumAlgorithms(), org.apache.ivy.plugins.resolver.RepositoryResolver#getWorkspaceName(), org.apache.ivy.plugins.resolver.RepositoryResolver#setWorkspaceName(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#isEnvDependent(), org.apache.ivy.plugins.resolver.RepositoryResolver#setEnvDependent(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#isCheckconsistency(), org.apache.ivy.plugins.resolver.RepositoryResolver#setCheckconsistency(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#isAllownomd(), org.apache.ivy.plugins.resolver.RepositoryResolver#setAllownomd(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#setChecksums(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getName(), org.apache.ivy.plugins.resolver.RepositoryResolver#validate(), org.apache.ivy.plugins.resolver.RepositoryResolver#setCache(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getSettings(), org.apache.ivy.plugins.resolver.RepositoryResolver#getNamespace(), org.apache.ivy.plugins.resolver.RepositoryResolver#setNamespace(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#isValidate(), org.apache.ivy.plugins.resolver.RepositoryResolver#setValidate(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#beginPublishTransaction(org.apache.ivy.core.module.id.ModuleRevisionId, boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#abortPublishTransaction(), org.apache.ivy.plugins.resolver.RepositoryResolver#commitPublishTransaction(), org.apache.ivy.plugins.resolver.RepositoryResolver#getRepositoryCacheManager(), org.apache.ivy.plugins.resolver.RepositoryResolver#getLatestStrategy(), org.apache.ivy.plugins.resolver.RepositoryResolver#setChangingMatcher(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#setChangingPattern(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getEventManager(), org.apache.ivy.plugins.resolver.RepositoryResolver#hidePassword(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getParserSettings(), org.apache.ivy.plugins.resolver.RepositoryResolver#setLatestStrategy(org.apache.ivy.plugins.latest.LatestStrategy), org.apache.ivy.plugins.resolver.RepositoryResolver#setLatest(java.lang.String), org.apache.ivy.plugins.resolver.RepositoryResolver#getLatest(), org.apache.ivy.plugins.resolver.RepositoryResolver#setCheckmodified(boolean), org.apache.ivy.plugins.resolver.RepositoryResolver#setRepositoryCacheManager(org.apache.ivy.core.cache.RepositoryCacheManager), org.apache.ivy.plugins.resolver.RepositoryResolver#setEventManager(org.apache.ivy.core.event.EventManager), org.apache.ivy.plugins.resolver.RepositoryResolver#wait(), org.apache.ivy.plugins.resolver.RepositoryResolver#wait(long), org.apache.ivy.plugins.resolver.RepositoryResolver#wait(long, int), org.apache.ivy.plugins.resolver.RepositoryResolver#equals(java.lang.Object), org.apache.ivy.plugins.resolver.RepositoryResolver#hashCode(), org.apache.ivy.plugins.resolver.RepositoryResolver#getClass(), org.apache.ivy.plugins.resolver.RepositoryResolver#notify(), org.apache.ivy.plugins.resolver.RepositoryResolver#notifyAll()

Constructor Detail

### GrailsPluginsDirectoryResolver

    public GrailsPluginsDirectoryResolver(BuildSettings buildSettings, org.apache.ivy.core.settings.IvySettings ivySettings)

Groovy Documentation